aboutsummaryrefslogtreecommitdiff
path: root/suspend/suspend_04.sh
diff options
context:
space:
mode:
Diffstat (limited to 'suspend/suspend_04.sh')
-rwxr-xr-xsuspend/suspend_04.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/suspend/suspend_04.sh b/suspend/suspend_04.sh
index ed8a580..9f85400 100755
--- a/suspend/suspend_04.sh
+++ b/suspend/suspend_04.sh
@@ -67,8 +67,10 @@ else
phase
sleep 2
check "return of AC while suspended" suspend_system "mem"
- if [ $? -eq 0 ]; then
- rm -f "$LOGFILE"
+ if [ $? -ne 0 ]; then
+ cat "$LOGFILE" 1>&2
fi
fi
+restore_trace
+rm -f "$LOGFILE"